Skip to main content
DELETE
/
users
/
me
/
accounts
/
{provider}
Disconnect auth provider
curl --request DELETE \
  --url https://api.agg.market/users/me/accounts/{provider} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-app-id: <api-key>' \
  --data '{}'
{
  "success": true
}

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Authorization
string
header
required

JWT access token returned by POST /auth/verify. Required for user-tier routes.

Path Parameters

provider
enum<string>
required
Available options:
wallet,
solana_wallet,
google,
twitter,
apple,
email

Body

application/json

Body

The body is of type object.

Response

200

success
enum<boolean>
required
Available options:
true